Bug 1303417 - audacity: wxgtk3 + wayland - select to end keyboard short cut not working
audacity: wxgtk3 + wayland - select to end keyboard short cut not working
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: David Timms
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 10:06 EST by Frank Ansari
Modified: 2016-11-24 15:27 EST (History)
2 users (show)

See Also:
Fixed In Version: audacity-2.1.2-3.fc23 audacity-2.1.3-0.7.20161109git53a5c93.fc25 audacity-2.1.3-0.7.20161109git53a5c93.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 11:28:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
audacity logfile (10.99 KB, text/plain)
2016-01-31 10:06 EST, Frank Ansari
no flags Details
screenshot audacity with Wayland (75.93 KB, image/png)
2016-02-02 14:23 EST, Frank Ansari
no flags Details

  None (edit)
Description Frank Ansari 2016-01-31 10:06:55 EST
Created attachment 1119911 [details]
audacity logfile

Description of problem:
When I open an audio file (e.g. ogg or wav) I cannot edit or select anything. All functions are greyed. This worked one week ago and I have no idea what might have changed.

Version-Release number of selected component (if applicable):
2.1.2

How reproducible:
Open an audio file (ogg file) with audacity and do "Edit -> Select". All select entries are grayed.

Steps to Reproduce:
1.
2.
3.

Actual results:
Select entries grayed.

Expected results:
Select entries usable.

Additional info:
Worked until one week ago.
Comment 1 David Timms 2016-02-02 06:46:57 EST
Can you please give me an:
rpm -q audacity.

You could check if the Audacity package on your machine was changed in the past 2 weeks with:
dnf history list  audacity

You can then use the transaction ID to see what changed (eg on mine 2128):
dnf history info 2128

Does Ctrl-A  (keyboard shortcut work) ?

Is it working again after a log/in ?

Reboot ?
Comment 2 Frank Ansari 2016-02-02 14:22:43 EST
I guess this was a misinterpretation of me. I tested again and found that I can use Ctrl-A as well as [ for selection.

But the GUI looks somehow strange. I have attached a screenshot.

The GUI behaves normal with sandard login. When I login to Gnome with Wayland (GDM offers this) then the GUI looks distorted.

Audacity is not the only application which has problems with Wayland. Another application is KeePass (see #1285342).

The fact that the keyboard shortcuts are in grey is probably normal (perhaps I just never noticed this).

So the only real issue remaning is that the GUI behaves strange using Wayland.


[fansari@bat ~]$ rpm -q audacity
audacity-2.1.2-0.7.rc1.fc23.x86_64

[fansari@bat ~]$ sudo dnf history list audacity
Last metadata expiration check performed 0:07:31 ago on Tue Feb  2 20:06:52 2016.
ID     | Command line             | Date a | Action | Altere
-------------------------------------------------------------------------------
   466 | install audacity         | 2016-01-31 15:16 | Install        |    3   
   465 | erase audacity           | 2016-01-31 15:15 | Erase          |    3   
   436 |                          | 2015-12-27 09:53 | E, I, U        |  319 EE
   383 | --releasever=23 system-u | 2015-10-31 13:29 | E, I, O, U     | 2583 EE
   351 | upgrade                  | 2015-08-03 15:25 | E, I, U        |  214 EE
   323 | upgrade                  | 2015-05-16 10:09 | E, I, U        |  372 EE
    44 | update                   | 2014-05-12 19:25 | Update         |    8
Comment 3 Frank Ansari 2016-02-02 14:23 EST
Created attachment 1120541 [details]
screenshot audacity with Wayland
Comment 4 David Timms 2016-02-04 15:36:12 EST
There was a recent change about Wayland to the GUI toolkit wxGTK3 used by Audacity. The initial build of 2.1.2 final is available for testing from:
http://koji.fedoraproject.org/koji/buildinfo?buildID=713273 and was built with this change.

If you could check to see whether it this final 2.1.2 build operates OK in non-wayland, and if it resolves the greyed out menu items in Wayland, that would be helpful. You would need to manually download the appropriate CPU arch rpms from the web page, and dnf install them.
Comment 5 Frank Ansari 2016-02-06 08:30:16 EST
I have tested audacity-2.1.2-1.fc23.x86_64 and it behaves in the same way as before.
Comment 6 Frank Ansari 2016-03-02 14:37:38 EST
I have tested again today. I was right that Ctrl-A is working with Wayland.

But: if I do this:

[ Shift-K

in order to set a left mark at playback position and then select from there to the end: this does not work.

I have tested with and without Wayland: in a normal Gnome session this works. In a Wayland Gnome session this does not work.
Comment 7 Fedora Update System 2016-03-03 14:28:54 EST
audacity-2.1.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee19511560
Comment 8 Fedora Update System 2016-03-04 21:22:59 EST
audacity-2.1.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee19511560
Comment 9 Frank Ansari 2016-03-05 08:19:45 EST
OK - I have added this comment on the site added above.

"For me this bugfix solved the soundtouch issue (soundtouch 1.9.2 works now with audacity) but still I cannot use "[ Shift-K" when I use a Gnome Wayland session."
Comment 10 Fedora Update System 2016-03-05 17:21:25 EST
audacity-2.1.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-11-10 07:34:52 EST
audacity-2.1.3-0.7.20161109git53a5c93.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-99f8d418ba
Comment 12 Fedora Update System 2016-11-10 07:35:55 EST
audacity-2.1.3-0.7.20161109git53a5c93.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f35f35613
Comment 13 Fedora Update System 2016-11-10 14:28:03 EST
audacity-2.1.3-0.7.20161109git53a5c93.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-99f8d418ba
Comment 14 Fedora Update System 2016-11-11 00:02:53 EST
audacity-2.1.3-0.7.20161109git53a5c93.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f35f35613
Comment 15 Fedora End Of Life 2016-11-24 10:18:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora Update System 2016-11-24 11:28:27 EST
audacity-2.1.3-0.7.20161109git53a5c93.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-11-24 15:27:25 EST
audacity-2.1.3-0.7.20161109git53a5c93.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.